# eric7.Preferences.ConfigurationPages.QtPage

Module implementing the Qt configuration page.

### Global Attributes

None

### Classes

QtPage | Class implementing the Qt configuration page.

### Functions

create | Module function to create the configuration page.

## QtPage

Class implementing the Qt configuration page.

### Derived from

ConfigurationPageBase, Ui_QtPage

### Class Attributes

None

### Class Methods

None

### Methods

QtPage | Constructor
__populateAndSetVenvComboBox | Private method to populate and set the virtual environment combo boxes.
__populateAndSetVenvComboBoxes | Private method to populate the virtual environment combo boxes.
__showVirtualEnvManager | Private method to show the virtual environment manager dialog.
__updateQtSample | Private slot to update the Qt tools sample label.
on_qtPostfixEdit_textChanged | Private slot to handle a change in the entered Qt directory.
on_qtPrefixEdit_textChanged | Private slot to handle a change in the entered Qt directory.
save | Public slot to save the Qt configuration.

### Static Methods

None

#### QtPage (Constructor)

QtPage()

Constructor

#### QtPage.__populateAndSetVenvComboBox

__populateAndSetVenvComboBox(comboBox, envKey, initial)

Private method to populate and set the virtual environment combo boxes.

comboBox (QComboBox)
  reference to the combo box to be populated
envKey (str)
  preferences key for the environment
initial (bool)
  flag indicating an initial population

#### QtPage.__populateAndSetVenvComboBoxes

__populateAndSetVenvComboBoxes(initial)

Private method to populate the virtual environment combo boxes.

initial (bool)
  flag indicating an initial population

#### QtPage.__showVirtualEnvManager

__showVirtualEnvManager()

Private method to show the virtual environment manager dialog.

#### QtPage.__updateQtSample

__updateQtSample()

Private slot to update the Qt tools sample label.

#### QtPage.on_qtPostfixEdit_textChanged

on_qtPostfixEdit_textChanged(txt)

Private slot to handle a change in the entered Qt directory.

txt
  the entered string (string)

#### QtPage.on_qtPrefixEdit_textChanged

on_qtPrefixEdit_textChanged(txt)

Private slot to handle a change in the entered Qt directory.

txt
  the entered string (string)

#### QtPage.save

save()

Public slot to save the Qt configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up